Issue 19186

Summary: correct ^= to proper math. sign automatically
Product: Writer Reporter: lars <lars_o_hansen>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: h.ilter, issues
Version: OOo 1.1 RC3Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
demo file none

Description lars 2003-09-07 11:33:42 UTC
correct ^= to proper math. sign automatically when typed
Comment 1 lars 2003-09-07 11:41:18 UTC
Created attachment 9069 [details]
demo file
Comment 2 lars 2003-09-07 11:41:49 UTC
ignore attachement
Comment 3 thomas.lange 2003-09-08 09:19:51 UTC
Something like this has only been seen as a resolution / zoom factor
issue.

Please check if all is visible when you change the zoom factor and if
you print the formula.

Also please state the OS type and version you use.
Comment 4 lars 2003-09-08 09:43:14 UTC
original issue here:

correct ^= to proper math. sign automatically when typed


just to remind you as I put another issues attachement here
Comment 5 thomas.lange 2003-09-08 09:55:41 UTC
What do you mean by proper math sign?
The equal sign as in "a = b", the defined as sign as "a := b" or
anything else?
Comment 6 lars 2003-09-08 10:05:52 UTC
the equivalent sign: where the ^ is on the =

might be outdated  ("entspricht gleich")
Comment 7 lars 2003-09-08 10:08:00 UTC
it's also a good idea to carry this out for the := sign; they have to 
be "transformed" to OOo Symbol font then of course.
Comment 8 thomas.lange 2003-09-08 10:41:01 UTC
Both symbols are already available in the font.

Since this a request for enhancement you may use those as
user-defined-symbols in the meantime.
Comment 9 thomas.lange 2003-10-22 15:47:07 UTC
TL->BH: This should be rather easy. Thus I set target OOo 2.0.
To you for decision.
Comment 10 thomas.lange 2003-10-22 15:47:40 UTC
.
Comment 11 lars 2003-10-22 18:27:30 UTC
also applicable to "->"; so transforming the "ASCII arrow" to a real
font arrow.
Comment 12 guido.pinkernell 2004-02-14 20:15:08 UTC
confirmed, as it obviously is.
Comment 13 ace_dent 2008-05-16 02:55:14 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 14 lars 2008-05-17 22:58:44 UTC
issue still valid as per OOo 3.0 Beta m2.


ASCII arrow becomes character arrow, ^= and := do not become OOo Math font 
character however.
Comment 15 bettina.haberer 2010-05-21 15:06:38 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".